## xdoclet.modules.apache.struts
Class StrutsDynaFormValidationXmlSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.apache.struts.StrutsValidationXmlSubTask
                          xdoclet.modules.apache.struts.StrutsDynaFormValidationXmlSubTask

All Implemented Interfaces:
  Serializable

public class StrutsDynaFormValidationXmlSubTask
extends StrutsValidationXmlSubTask

Generates Struts Validator validation.xml deployment descriptor for struts dynamic action forms.

Version:
  $Revision: 1.3 $
Author:
  Nick Heudecker
See Also:
  Serialized Form
ant.element
  display-name="validation.xml" name="strutsdynaformvalidationxml" parent="xdoclet.modules.web.WebDocletTask"
created
  August 2, 2004

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.modules.apache.struts.StrutsValidationXmlSubTask
`DTD_FILE_NAME_11, DTD_FILE_NAME_113, GENERATED_FILE_NAME, VALIDATION_PUBLICID_11, VALIDATION_PUBLICID_113, VALIDATION_SYSTEMID_11, VALIDATION_SYSTEMID_113, version`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`StrutsDynaFormValidationXmlSubTask()` Creates a new instance of the task.

Methods inherited from class xdoclet.modules.apache.struts.StrutsValidationXmlSubTask
`execute, getVersion, setVersion`

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask

`addOfType, addOfType, addPackageSubstitution, engineStarted, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsDynaFormValidationXmlSubTask

    public StrutsDynaFormValidationXmlSubTask()

  Creates a new instance of the task.

http://xdoclet.sourceforge.net/